use super::net;

#[test]
fn get_feed_test(){
    println!("Checking if gabe.rocks is an RSS feed");
    assert!(net::is_feed("https://gabe.rocks"),"Error finding RSS feed");

}

#[test]
fn load_feeds() {
    let url = "https://gabe.rocks";
    let feeds = net::get_feeds(url).unwrap();
    println!("Checking {} for feeds.\nResult:",url);
    for f in feeds {
        println!("Feed found:{}",f.title());
    }
}